package com.testor.common.util.cron;

import com.testor.common.util.CodeEnum;
import lombok.Getter;

/**
 * 是否为重大危险源
 * @author sj
 * @date 2022/6/28 18:42
 */
@Getter
public enum CheckFrequencyEnum implements CodeEnum {

    one("one", "单次"),
    hour("hour", "每时"),
    day("day", "每日"),
    week("week", "每周"),
    month("month", "每月"),
    quarter("quarter", "每季"),
    year("year", "每年"),
    ;
    private String code;

    private String msg;

    CheckFrequencyEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
